* { margin:0; 	padding: 0; }


#container {
	border:#0033FF;
	border-width:0px;
	background-color: #009900;
}

/* Mobile browsers need the width and height set to 100% */

html { 
  background: url(http://www.modelkits.com/images/rccar.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

body {
	margin: 0; 
	padding: 0;
	font: 95%/2.0em  Arial, Helvetica, sans-serif;
	color: #333; 	
	text-align: center;
	background-color: #F0F0F0;
	width:100%;
	height:100%;
}

/* links */
#main a {
	color: #00f;
	background-color: inherit;
	
}
#main a:hover {
	background-color: inherit;
	color: #FFFF00;
	text-decoration:none;
}
/* headers */
h1, h2, h3, h4 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: Bold; 		
}
h1 {
	font-size: 200%;	
	padding: 10px 10px 5px 15px;
	color: #000000;
	background-color: #FFD700;

	-moz-animation-name: dropHeader;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: ease-in;
    -moz-animation-duration: 1s;

    -webkit-animation-name: dropHeader;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: ease-in;
    -webkit-animation-duration: 1s;

    animation-name: dropHeader;
    animation-iteration-count: 1;
    animation-timing-function: ease-in;
    animation-duration: 1s;	
	}
	@-moz-keyframes dropHeader {
    0% {
        -moz-transform: translateY(-40px);
    }
    100% {
        -moz-transform: translateY(0);
    }
}
@-webkit-keyframes dropHeader {
    0% {
        -webkit-transform: translateY(-40px);
    }
    100% {
        -webkit-transform: translateY(0);
    }
}
@keyframes dropHeader {
    0% {
        transform: translateY(-40px);
    }
    100% {
        transform: translateY(0);
    }

}
h2 {
	font-size: 110%;
}
h3 {
	font-size: 105%;	
	color: #404040;
	padding: 0px 10px 10px 10px;
}

h2, p {
	padding: 10px;		
	margin: 0;
}

h4 {
	font-size: 85%;
	padding: 1px 1px 5px 18px;
	margin: 0;
	font-weight: normal;
}

/* images */
img {
	border: 3px solid #FFFFFF;
}

/* LAYOUT */	
#wrap {
	margin: 0 auto;
	padding: 5px 5px 5px 5px;
	width: 1024px;
	text-align: left;
	background-color: #FFFFFF;
}

/* header */
#headerwithsearch-container{
	float: left;
	width: 1024px;
	padding: 1px 0px 1px 0px;
	border-bottom: 3px solid #B8B8B8;
	margin: 0px 0px 25px 0px;
	
}
#header { 
	float: left;
	width: 350px;
	margin: 0px; 
	padding: 0 5px 0 0;		
}
#header h1#logo {
	float: left;
	width: 350px;
	margin: 2px; 
	padding: 0px;
	/*border-bottom: 3px solid #B8B8B8;*/
}
#searchbox {
	float: right;
	width: 250 px;
	margin: 2px; 
	padding: 0px;	
}

/* side nav */

#navcontainer { 
	float: right;
	width: 300px;
	background-color: #F0F0F0;
}

#navcontainer ul
{
margin-left: 0;
padding-left: 0;
list-style-type: none;
font: 95%/1.8em  Arial, Helvetica, sans-serif;

}

#navcontainer a
{
display: block;
padding: 3px;
width: 260px;

}

#navcontainer a:link, #navcontainer a:visited
{
color: #0000FF;
text-decoration: none;
}

#navcontainer a:hover
{
color: #0000FF;
text-decoration: none;
display: block;
background-color: #BCC6CC;
}


/* main text */
#main {
	float: left;
	margin: 0 0 0 10px;
	padding: 0;
	width: 640px;
	
}
#main a {
	color:#03f;
	
}
#main a:hover {
	color:#03f;
	text-decoration:none;
	
}

.ad {margin: 0px 0px 0px 18px; padding: 0; float: left;}
.adright {margin: 30px 8px 0px 8px; padding: 0; float: right;}


/* list page layout */

.featured-articles-hubs-title {
	float: left;
	width: 625px;
	padding: 0;
	margin: 0;	
}

.homepage-article-box-left{
	width: 310px;
	height: 120px;
	border-bottom-width: 1px;
	border-bottom-style: dotted;
	border-bottom-color: #B8B8B8;
	float: left;
	display:inline;
	overflow:hidden;	
}

.homepage-article-box-right{
	width: 310px;
	height: 120px;
	border-bottom-width: 1px;
	border-bottom-style: dotted;
	border-bottom-color: #B8B8B8;
	border-left-color: #B8B8B8;
	border-left-style: solid;
	border-left-width: 2px;
	float: left;
	overflow:hidden;	
}

/* home page article randomizer */

.featuredArticlesContainer
{
 	width: 600px;
 	height: 308px;
 	padding: 8px;
	margin: 10px 0 15px 0;
	background-color: #FFFFFF;
	color: black;
	border-width: 2px;
	border-color: #009900;
	border-style: solid;
}

.currentFeaturedArticleContainer
{
 	width: 300px;
 	height: 300px;
 	float: left;
	display: inline-block;
}

#featuredArticle1,#featuredArticle2,#featuredArticle3,#featuredArticle4
{
 	width: 300px;
 	height: 301px;
	background-color: white;
	position: absolute;
	padding: 4px;
}

#featuredArticle1
{
	z-index: 1;
}

#featuredArticle2
{
	z-index: 2;
}

#featuredArticle3
{
	z-index: 3;
}

#featuredArticle4
{
	z-index: 4;
}


.hidden
{
	visibility : hidden;
}

.featuredArticleLinks
{
	width: 300px;
	height: auto;
	display: inline-block;
	background-color: none;
}

.featuresArticleLink
{
	height: auto;
	width: 260px;
	padding: 8px;
	padding-left: 16px;
	cursor: pointer;
}

.featuresArticleLink:hover
{
	background-color: none;
}

.selectedFeaturedArticle
{
	background-color: #BCC6CC;
}

.titleText
{
	color: #0000FF;
	font-weight: bold;
	font-size: 16px;
	padding: 0px;
	margin: 0px;
}

/* footer */
#footer { 
	clear: both; 	
	color: #666666; 	
	padding: 0;	 
	height: 50px;
	margin: 10px 0 0 0;
}
#footer a { 
	text-decoration: none; 
	font-weight: none;
}
#footer-content {
	margin: 0 auto;
	width: 760px
}
#footer-content #footer-center {
	width: 100%;
	float: center;
	text-align: center;
	font-size:14px;
	padding: 10px 0 0 0;
	color: #000000;
}
